[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TObject

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Basis of all objects

## Declaration

Source position: objects.pp line 250

`type TObject = object`
`constructor Init;` |  | Construct (initialize) a new object
`procedure Free;` |  | Destroy an object and release all memory.
`function Is_Object();` |  | Check whether a pointer points to an object.
`destructor Done; virtual;` |  | Destroy an object.
`end;`

## Inheritance

`TObject` |  | Basis of all objects

## Description

This type serves as the basic object for all other objects in the Objects unit.

Documentation generated on: Feb 26 2014